
import React from 'react';
import Icon from 'react-icon-base';

const SlLockOpen = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M800 574.896l-456.96 -0.000976562l-16.5596 74.2725c-28.2402 105.376 20.8154 210.432 133.088 240.512c111.136 29.7764 209.088 -33.9355 237.824 -141.119l13.5996 -53.9678c4.57617 -17.0723 22.1123 -27.2002 39.2002 -22.624 c17.0723 4.57617 27.2002 22.1123 22.624 39.1846l-13.6162 53.9678c-37.9844 141.84 -170.385 225.439 -316.192 186.384c-146.368 -39.2158 -215.712 -179.424 -178.336 -318.912l12.8643 -57.6963h-53.5361c-70.5918 0 -128 -57.4082 -128 -128v-384 c0 -70.5918 57.4082 -128 128 -128h576c70.5918 0 128 57.4082 128 128v384c0 70.5918 -57.4082 128 -128 128zM864 62.8955c0 -35.2803 -28.7197 -64 -64 -64h-576c-35.2803 0 -64 28.7197 -64 64v384c0 35.2803 28.7197 64 64 64h576c35.2803 0 64 -28.7197 64 -64v-384z M512 382.896c-35.3438 0 -64 -28.6562 -64 -64c0 -23.6318 12.96 -44.0322 32 -55.1201v-104.88c0 -17.6641 14.3359 -32 32 -32c17.6641 0 32 14.3359 32 32v104.88c19.04 11.0879 32 31.5039 32 55.1201c0 35.3438 -28.6562 64 -64 64z"/></g>
    </Icon>
);

export default SlLockOpen;
